## RE-ANALYSIS PACKAGE

We include the data, forms and sccripts used in the analysis of the paper: "Beyond Code Generation: An Observational Study of ChatGPT Usage in Software Engineering Practice".

In this package you will find:

```         
-   figs/: Folder where the script outputs created Figures used in the paper.
-   forms/: Folder containing the exit questionnaire (PDF) sent to participant.
-   data/: Folder that includes the CSV with the data.
-   data/filtered_dialog_data.csv: Classification of each dialogue (row), per participant.
-   data/filtered_survey_data.csv: Likert scale results of the survey per participant (row).
-   chatgpt_dialog_analysis.R: R Script that loads the CSV files, and creates the tables and figures used in the paper.
```

## How to use it:

-   You can open the .RProj file in Rstudio, and just re-run the entire script, or run the `chatgpt_dialog_analysis.R` in the command line.

### Requirements:

-   R and packages installed (tidyverse, likert, ggpubr)
